#include <iostream>

using namespace std;
int a[1009];
int main()
{
    string s;
    cin>>s;
    int k=1;
     for(int i=0; i<s.size()-1; i++)
        {
            if(s[i]>s[i+1]) {k++; a[k-2]=i;}
        }
//        for(int i=0; i<k; i++)
//        {
//            cout<<a[i]<<' ';
//        }
      //  cout<<k;
    int q;
    scanf("%d", &q);
    while(q--)
    {
        int n, m, schet=1;
        scanf("%d", &n);
        scanf("%d", &m);

        for(int i=0; i<k; i++)
        {
           if(a[i]>n-1 && a[i]<m-1) {schet++;}
        }
        printf("%d", schet);
        cout<<'\n';
    }
}
